% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/heat_vis.R
\name{heat_vis}
\alias{heat_vis}
\title{Using correlation information to draw a heatmaps}
\usage{
heat_vis(cor_data, mrna_d, mirna_21)
}
\arguments{
\item{cor_data}{matrix format generated from
\link{negative_cor}.}

\item{mrna_d}{differential expressed data in data.frame format, with
sample name in columns and gene symbol in rows, which is generated by
\link{differExp_discrete} or \link{differExp_continuous}.}

\item{mirna_21}{differential expressed data in data.frame format, with
sample name in columns and miRNAl in rows, which is generated by
\link{differExp_discrete} or \link{differExp_continuous}, miRNA should
be miRBase 21 version now.}
}
\value{
heatmap plots  of miRNA and gene.
}
\description{
This function would base on Fold-Change information
from the output of \link{negative_cor},
\link{differExp_discrete} and show heatmaps to users.
Note that if miRNA-gene interactions (row) from input
are larger than 100, the lable in plot would be unclear.
}
\examples{
## Use the internal dataset
data("mirna", package = "anamiR", envir = environment())
data("pheno.mirna", package = "anamiR", envir = environment())
data("mrna", package = "anamiR", envir = environment())
data("pheno.mrna", package = "anamiR", envir = environment())

## SummarizedExperiment class
require(SummarizedExperiment)
mirna_se <- SummarizedExperiment(
 assays = SimpleList(counts=mirna),
 colData = pheno.mirna)

## SummarizedExperiment class
require(SummarizedExperiment)
mrna_se <- SummarizedExperiment(
 assays = SimpleList(counts=mrna),
 colData = pheno.mrna)

## Finding differential miRNA from miRNA expression data with t.test
mirna_d <- differExp_discrete(
   se = mirna_se,
   class = "ER",
   method = "t.test"
)

## Finding differential mRNA from mRNA expression data with t.test
mrna_d <- differExp_discrete(
   se = mrna_se,
   class = "ER",
   method = "t.test"
)

## Convert annotation to miRBse 21
mirna_21 <- miR_converter(data = mirna_d, original_version = 17)

## Correlation
cor <- negative_cor(mrna_data = mrna_d, mirna_data = mirna_21)

## Draw heatmap
heat_vis(cor, mrna_d, mirna_21)

}
\seealso{
\code{\link[gplots]{heatmap.2}} for plot.
}
